
Redmine - Defect #17424

Custom field translation

2014-07-08 12:57 - Piotr Pawłowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.3

Description

Recently I created Custom Field named 'Project Reference Number' to project (list). During timelog export to csv I am receiving

column name with 'translation missing: en.Project Reference Number'.

Where in Redmine I can add translation for Custom Fields?

I am using Redmine  2.3.3.stable .

History

#1 - 2014-07-08 13:27 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2014-07-08 14:02 - Piotr Pawłowski

Environment:

  Redmine version                2.3.3.stable

  Ruby version                   2.0.0-p247 (2013-06-27) [x86_64-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  redmine_backlogs               v1.0.5

  redmine_banner                 0.0.9

  redmine_code_review            0.6.3

 Output from production.log:

Started GET "/time_entries/report?utf8=%E2%9C%93&criteria%5B%5D=cf_40&f%5B%5D=spent_on&op%5Bspent_on%5D=lm&f%5

B%5D=&columns=month&criteria%5B%5D=user" for 123.456.789.012 at 2014-07-08 13:56:26 +0200

Processing by TimelogController#report as HTML

  Parameters: {"utf8"=>"✓", "criteria"=>["cf_40", "user"], "f"=>["spent_on", ""], "op"=>{"spent_on"=>"lm"}, "c

olumns"=>"month"}

  Current user: ppawlowski (id=162)

  Rendered queries/_filters.html.erb (12.2ms)

  Rendered queries/_columns.html.erb (1.0ms)

  Rendered timelog/_date_range.html.erb (14.4ms)

  Rendered timelog/_report_criteria.html.erb (2.8ms)

  Rendered timelog/_report_criteria.html.erb (5.9ms)

  Rendered timelog/_report_criteria.html.erb (2.2ms)

  Rendered timelog/_report_criteria.html.erb (5.8ms)

  Rendered timelog/_report_criteria.html.erb (3.5ms)

  Rendered timelog/_report_criteria.html.erb (6.8ms)

  Rendered timelog/_report_criteria.html.erb (4.6ms)

  Rendered timelog/_report_criteria.html.erb (3.6ms)

  Rendered timelog/_report_criteria.html.erb (4.7ms)

  Rendered timelog/_report_criteria.html.erb (1.8ms)

  Rendered timelog/_report_criteria.html.erb (66.7ms)

  Rendered timelog/_report_criteria.html.erb (22.7ms)

  Rendered timelog/_report_criteria.html.erb (3.0ms)

  Rendered timelog/_report_criteria.html.erb (1.4ms)

  Rendered timelog/_report_criteria.html.erb (2.5ms)

  Rendered timelog/_report_criteria.html.erb (2.9ms)
  Rendered timelog/_report_criteria.html.erb (2.6ms)

  Rendered timelog/_report_criteria.html.erb (1.3ms)

  Rendered timelog/_report_criteria.html.erb (1.1ms)

  Rendered timelog/_report_criteria.html.erb (5.3ms)

  Rendered timelog/_report_criteria.html.erb (3.0ms)

  Rendered timelog/_report_criteria.html.erb (2.1ms)

  Rendered timelog/_report_criteria.html.erb (170.6ms)

  Rendered timelog/report.html.erb within layouts/base (188.8ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.0ms)

  Rendered plugins/redmine_backlogs/app/views/hooks/_rb_include_scripts.html.erb (1.8ms)

  Rendered plugins/redmine_banner/app/views/banner/_project_body_bottom.html.erb (0.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_body_bottom.html.erb (0.0ms)

Completed 200 OK in 560ms (Views: 220.6ms | ActiveRecord: 279.2ms)

Started GET "/rb/server_variables.js" for 188.252.65.162 at 2014-07-08 13:56:27 +0200

Processing by RbServerVariablesController#index as JS

  Current user: ppawlowski (id=162)

DEPRECATION WARNING: Passing a template handler in the template name is deprecated. You can simply remove the 

handler name or pass render :handlers => [:erb] instead. (called from realtime at /usr/local/rvm/rubies/ruby-2

.0.0-p247/lib/ruby/2.0.0/benchmark.rb:296)

  Rendered plugins/redmine_backlogs/app/views/rb_server_variables/show.js.erb (1.9ms)

Completed 200 OK in 4ms (Views: 2.4ms | ActiveRecord: 0.3ms)

Started GET "/time_entries/report.csv?columns=month&criteria%5B%5D=cf_40&criteria%5B%5D=user&f%5B%5D=spent_on&

f%5B%5D=&op%5Bspent_on%5D=lm&utf8=%E2%9C%93" for 123.456.789.012 at 2014-07-08 13:56:35 +0200

Processing by TimelogController#report as CSV

  Parameters: {"columns"=>"month", "criteria"=>["cf_40", "user"], "f"=>["spent_on", ""], "op"=>{"spent_on"=>"l

m"}, "utf8"=>"✓"}

  Current user: ppawlowski (id=162)

  Rendered text template (0.0ms)

Sent data timelog.csv (0.6ms)

Completed 200 OK in 298ms (Views: 0.5ms | ActiveRecord: 158.1ms)

#3 - 2014-07-08 16:16 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please contact plugin author.

#4 - 2014-07-08 17:21 - Piotr Pawłowski

- Status changed from Closed to Reopened

I thought that Custom Fields, generating time log and exporting it to csv is a core Redmine feature. Which plugin can affect translation of Custom

Field?

#5 - 2014-07-08 18:07 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Piotr Pawłowski wrote:

I thought that Custom Fields, generating time log and exporting it to csv is a core Redmine feature. Which plugin can affect translation of Custom

Field?

 See your log.

#6 - 2014-07-09 09:03 - Piotr Pawłowski

- Status changed from Closed to Reopened

Toshi, I am sorry, but I am not a ruby dev. I do not see anything suspicious in presented output from production.log . Could you please point me which

plugin cause the problem with translation?

Thank you in advance.

#7 - 2014-07-09 10:22 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please use forum for questions.

I think some of your plugins override Redmine methods.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

